summaryrefslogtreecommitdiffstats
path: root/source/a/logrotate
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/a/logrotate
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/logrotate')
-rwxr-xr-xsource/a/logrotate/logrotate.SlackBuild73
-rw-r--r--source/a/logrotate/logrotate.conf9
-rw-r--r--source/a/logrotate/logrotate.slackware.diff56
-rw-r--r--source/a/logrotate/logrotate.url1
-rw-r--r--source/a/logrotate/slack-desc12
5 files changed, 106 insertions, 45 deletions
diff --git a/source/a/logrotate/logrotate.SlackBuild b/source/a/logrotate/logrotate.SlackBuild
index 13c1a2304..882602413 100755
--- a/source/a/logrotate/logrotate.SlackBuild
+++ b/source/a/logrotate/logrotate.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2012, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2012, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,25 +20,37 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-3.8.9}
-BUILD=${BUILD:-1}
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=logrotate
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-logrotate
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -55,8 +67,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf logrotate-$VERSION
-tar xvf $CWD/logrotate-$VERSION.tar.?z* || exit 1
-cd logrotate-$VERSION
+tar xvf $CWD/logrotate-$VERSION.tar.xz || exit 1
+cd logrotate-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -67,16 +79,22 @@ find . \
# Fixup a few things:
zcat $CWD/logrotate.slackware.diff.gz | patch -p1 || exit 1
-make clean
-make RPM_OPT_FLAGS="$SLKCFLAGS" || exit 1
-strip logrotate
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/logrotate-$VERSION \
+ --build=$ARCH-slackware-linux || exit 1
-mkdir -p $PKG/usr/sbin
-cat logrotate > $PKG/usr/sbin/logrotate
-chmod 0755 $PKG/usr/sbin/logrotate
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
-mkdir -p $PKG/usr/man/man8
-cat logrotate.8 | gzip -9c > $PKG/usr/man/man8/logrotate.8.gz
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Create the logrotate.d directory and install the config file
mkdir -p $PKG/etc/logrotate.d
@@ -87,6 +105,21 @@ mkdir -p $PKG/etc/cron.daily
zcat $CWD/logrotate.cron.gz > $PKG/etc/cron.daily/logrotate
chmod 0755 $PKG/etc/cron.daily/logrotate
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/usr/doc/logrotate-$VERSION
cp -a \
CHANGES COPYING READM* \
@@ -94,9 +127,9 @@ cp -a \
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
+if [ -r ChangeLog.md ]; then
DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ cat ChangeLog.md | head -n 1000 > $DOCSDIR/ChangeLog.md
touch -r ChangeLog $DOCSDIR/ChangeLog
fi
diff --git a/source/a/logrotate/logrotate.conf b/source/a/logrotate/logrotate.conf
index 27b03e134..cb69ed529 100644
--- a/source/a/logrotate/logrotate.conf
+++ b/source/a/logrotate/logrotate.conf
@@ -18,12 +18,21 @@ rotate 4
# create new (empty) log files after rotating old ones:
create
+# don't rotate empty log files
+notifempty
+
# uncomment if you want to use the date as a suffix of the rotated file
#dateext
# uncomment this if you want your log files compressed:
#compress
+# uncomment this to put rotated logs in "oldlogs" subdir
+# this is relative to the original dir of the to-be-rotated file
+# You can use a full path here, but beware of identically-named
+# logfiles in different directories, e.g. httpd logs
+#olddir oldlogs
+
# some packages install log rotation information in this directory:
include /etc/logrotate.d
diff --git a/source/a/logrotate/logrotate.slackware.diff b/source/a/logrotate/logrotate.slackware.diff
index 9e5160f33..3336e1f80 100644
--- a/source/a/logrotate/logrotate.slackware.diff
+++ b/source/a/logrotate/logrotate.slackware.diff
@@ -1,24 +1,42 @@
-diff -Nur logrotate-3.8.0.orig//config.c logrotate-3.8.0/config.c
---- logrotate-3.8.0.orig//config.c 2011-06-21 03:12:02.000000000 -0500
-+++ logrotate-3.8.0/config.c 2011-08-22 15:53:25.199625138 -0500
-@@ -86,7 +86,8 @@
- static char *defTabooExts[] = { ".rpmsave", ".rpmorig", "~", ",v",
- ".disabled", ".dpkg-old", ".dpkg-dist", ".dpkg-new", ".cfsaved",
- ".ucf-old", ".ucf-dist", ".ucf-new",
-- ".rpmnew", ".swp", ".cfsaved", ".rhn-cfg-tmp-*"
-+ ".rpmnew", ".swp", ".cfsaved", ".rhn-cfg-tmp-*",
-+ ".new", ".old", ".orig", ".bak"
+diff -Nur logrotate-3.13.0.orig/config.c logrotate-3.13.0/config.c
+--- logrotate-3.13.0.orig/config.c 2017-10-12 09:05:41.000000000 -0500
++++ logrotate-3.13.0/config.c 2017-11-18 02:28:03.757579985 -0600
+@@ -143,6 +143,10 @@
+ ".ucf-dist",
+ ".ucf-new",
+ ".ucf-old",
++ ".new",
++ ".old",
++ ".orig",
++ ".bak",
+ "~"
};
static int defTabooCount = sizeof(defTabooExts) / sizeof(char *);
+diff -Nur logrotate-3.13.0.orig/logrotate.8 logrotate-3.13.0/logrotate.8
+--- logrotate-3.13.0.orig/logrotate.8 2017-10-13 01:25:51.000000000 -0500
++++ logrotate-3.13.0/logrotate.8 2017-11-18 02:28:03.756579975 -0600
+@@ -589,6 +589,10 @@
+ .IR .ucf\-dist ,
+ .IR .ucf\-new ,
+ .IR .ucf\-old ,
++.IR .new
++.IR .old
++.IR .orig
++.IR .bak
+ .IR ~
---- logrotate-3.8.6/logrotate.8.orig 2013-08-02 16:28:41.591589317 +0700
-+++ logrotate-3.8.6/logrotate.8 2013-08-02 16:29:09.280202548 +0700
-@@ -506,7 +506,7 @@
- for information on the taboo extensions). If a + precedes the list of
- extensions, the current taboo extension list is augmented, otherwise it
- is replaced. At startup, the taboo extension list
--contains .rpmsave, .rpmorig, ~, .disabled, .dpkg\-old, .dpkg\-dist, .dpkg\-new, .cfsaved, .ucf\-old, .ucf\-dist, .ucf\-new, .rpmnew, .swp, .cfsaved, .rhn\-cfg\-tmp\-*
-+contains .rpmsave, .rpmorig, ~, .disabled, .dpkg\-old, .dpkg\-dist, .dpkg\-new, .cfsaved, .ucf\-old, .ucf\-dist, .ucf\-new, .rpmnew, .swp, .cfsaved, .rhn\-cfg\-tmp\-*, .new, .old, .orig, .bak
+ .TP
+diff -Nur logrotate-3.13.0.orig/logrotate.8.in logrotate-3.13.0/logrotate.8.in
+--- logrotate-3.13.0.orig/logrotate.8.in 2017-10-12 09:05:41.000000000 -0500
++++ logrotate-3.13.0/logrotate.8.in 2017-11-18 02:28:03.756579975 -0600
+@@ -589,6 +589,10 @@
+ .IR .ucf\-dist ,
+ .IR .ucf\-new ,
+ .IR .ucf\-old ,
++.IR .new
++.IR .old
++.IR .orig
++.IR .bak
+ .IR ~
.TP
- \fBweekly\fR
diff --git a/source/a/logrotate/logrotate.url b/source/a/logrotate/logrotate.url
new file mode 100644
index 000000000..3ef0dd640
--- /dev/null
+++ b/source/a/logrotate/logrotate.url
@@ -0,0 +1 @@
+https://github.com/logrotate/logrotate/releases/download/3.14.0/logrotate-3.14.0.tar.xz
diff --git a/source/a/logrotate/slack-desc b/source/a/logrotate/slack-desc
index e0fafdb5b..8e8334e7a 100644
--- a/source/a/logrotate/slack-desc
+++ b/source/a/logrotate/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,9 +11,9 @@ logrotate:
logrotate: The logrotate utility is designed to simplify the administration
logrotate: of log files on a system which generates a lot of log files.
logrotate: Logrotate allows for the automatic rotation compression, removal
-logrotate: and mailing of log files. Logrotate can be set to handle a log
+logrotate: and mailing of log files. Logrotate can be set to handle a log
logrotate: file daily, weekly, monthly or when the log file gets to a certain
-logrotate: size. Normally, logrotate runs as a daily cron job.
-logrotate:
+logrotate: size. Normally, logrotate runs as a daily cron job.
logrotate:
+logrotate: Homepage: https://github.com/logrotate/logrotate
logrotate: